/**
 * Copyright (c) 2005-2013, KoLmafia development team
 * http://kolmafia.sourceforge.net/
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  [1] Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *  [2] Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *  [3] Neither the name "KoLmafia" nor the names of its contributors may
 *      be used to endorse or promote products derived from this software
 *      without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

package net.sourceforge.kolmafia.objectpool;

public class AdventurePool
{
	public static final int DEGRASSI_KNOLL = 18;
	public static final int FUN_HOUSE = 20;
	public static final int HIPPY_CAMP = 26;
	public static final int FRAT_HOUSE = 27;
	public static final int FRAT_HOUSE_DISGUISED = 29;
	public static final int BAT_HOLE_ENTRYWAY = 30;
	public static final String BATRAT_ID = "32";
	public static final String BEANBAT_ID = "33";
	public static final String BOSSBAT_ID = "34";
	public static final String DUNGEON_OF_DOOM_ID = "39";
	public static final int MENAGERIE_LEVEL_2 = 52;
	public static final int HIPPY_CAMP_DISGUISED = 65;
	public static final int PIRATE_COVE = 66;
	public static final String ROULETTE_TABLES_ID = "70";
	public static final int POKER_ROOM = 71;
	public static final String PIXEL_REALM_ID = "73";
	public static final String ORC_CHASM_ID = "80";
	public static final String AIRSHIP_ID = "81";
	public static final String GIANT_CASTLE_ID = "82";
	public static final String HOLE_IN_THE_SKY_ID = "83";
	public static final int COLA_BATTLEFIELD = 85;
	public static final String COLA_BATTLEFIELD_ID = "85";
	public static final int CLOACA_BATTLEFIELD = 86;
	public static final String CLOACA_BATTLEFIELD_ID = "86";
	public static final int DYSPEPSI_BATTLEFIELD = 87;
	public static final String DYSPEPSI_BATTLEFIELD_ID = "87";
	public static final String BAD_TRIP_ID = "96";
	public static final String GREAT_TRIP_ID = "97";
	public static final String MEDIOCRE_TRIP_ID = "98";
	public static final int ROAD_TO_WHITE_CITADEL = 99;
	public static final String WHITEYS_GROVE_ID = "100";
	public static final int HAUNTED_CONSERVATORY = 103;
	public static final String HAUNTED_LIBRARY_ID = "104";
	public static final String HAUNTED_GALLERY_ID = "106";
	public static final String HAUNTED_BATHROOM_ID = "107";
	public static final String HAUNTED_BEDROOM_ID = "108";
	public static final String HAUNTED_BALLROOM_ID = "109";
	public static final String SLEAZY_BACK_ALLEY_ID = "112";
	public static final String HAUNTED_PANTRY_ID = "113";
	public static final String OUTSKIRTS_OF_THE_KNOB_ID = "114";
	public static final String PALINDOME_ID = "119";
	public static final String HAUNTED_WINE_CELLAR_ID = "120";
	public static final int THEMTHAR_HILLS = 126;
	public static final int FRAT_UNIFORM_BATTLEFIELD = 132;
	public static final String FRAT_UNIFORM_BATTLEFIELD_ID = "132";
	public static final int HAIKU_DUNGEON = 138;
	public static final int HIPPY_UNIFORM_BATTLEFIELD = 140;
	public static final String HIPPY_UNIFORM_BATTLEFIELD_ID = "140";
	public static final int FCLE = 158;
	public static final int YULETIDE = 163;
	public static final String HOBOPOLIS_SEWERS_ID = "166";
	public static final int HOBOPOLIS_TOWN_SQUARE = 167;
	public static final String MINE_OFFICE_ID = "176";
	public static final int WINE_CELLAR_NORTHWEST = 178;
	public static final int WINE_CELLAR_SOUTHEAST = 181;
	public static final int JUNKYARD_BARREL = 182;
	public static final int JUNKYARD_REFRIGERATOR = 183;
	public static final int JUNKYARD_TIRES = 184;
	public static final int JUNKYARD_CAR = 185;
	public static final int SEASIDE_MEGALOPOLIS = 206;
	public static final int MERKIN_COLOSSEUM = 210;
	public static final String MERKIN_COLOSSEUM_ID = "210";
	public static final int OUTSIDE_THE_CLUB = 219;
	public static final int BARROOM_BRAWL = 233;
	public static final int NOOB_CAVE = 240;
	public static final int PANDAMONIUM_SLUMS = 248;
	public static final int COBB_BARRACKS = 257;
	public static final int COBB_HAREM = 259;
	public static final int DEFILED_ALCOVE = 261;
	public static final int DEFILED_CRANNY = 262;
	public static final int DEFILED_NICHE = 263;
	public static final int DEFILED_NOOK = 264;
	public static final int ITZNOTYERZITZ_MINE = 270;
	public static final String GOATLET_ID = "271";
	public static final int NINJA_SNOWMEN = 272;
	public static final int EXTREME_SLOPE = 273;
	public static final int CLUMSINESS_GROVE = 277;
	public static final int MAELSTROM_OF_LOVERS = 278;
	public static final int GLACIER_OF_JERKS = 279;
	public static final String HIDDEN_TEMPLE_ID = "280";
	public static final String SHROUDED_PEAK_ID = "cloudypeak2";
	public static final int THE_DAILY_DUNGEON = 325;
	public static final int THE_HALLOWED_HALLS = 326;
	public static final int SHOP_CLASS = 327;
	public static final int CHEMISTRY_CLASS = 328;
	public static final int ART_CLASS = 329;
	public static final int HIDDEN_APARTMENT = 341;
	public static final String HIDDEN_APARTMENT_ID = "341";
	public static final int HIDDEN_HOSPITAL = 342;
	public static final String HIDDEN_HOSPITAL_ID = "342";
	public static final int HIDDEN_OFFICE = 343;
	public static final String HIDDEN_OFFICE_ID = "343";
	public static final int HIDDEN_BOWLING_ALLEY = 344;
	public static final String HIDDEN_BOWLING_ALLEY_ID = "344";
	public static final int HIDDEN_PARK = 345;
	public static final String HIDDEN_PARK_ID = "345";
	public static final int DEGRASSI_KNOLL_GARAGE = 354;
	public static final String THE_SHORE_ID = "355";
	public static final int THE_SHORE = 355;
	public static final int ARID_DESERT = 364;
}
